Package com.collibra.dgc.core.api.dto.instance.domain

# Class FindDomainsRequest

Object
PagedRequest
CursorPagedRequest
FindDomainsRequest

All Implemented Interfaces:
  `Serializable`

public class FindDomainsRequest extends CursorPagedRequest
The search criteria for domains.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned domains satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 domains is returned.

Domain type filtering: Both `typeId` (single type) and `typeIds` (multiple types) can be used to filter by domain type. When both are provided, `typeIds` takes precedence and `typeId` is ignored.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindDomainsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDomainsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDomainsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  The ID of the community to find the domains in.
  `String`
  `getName()`
  The name of the domain to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `UUID`
  `getTypeId()`
  The ID of the domain type to search for.
  `List<UUID>`
  `getTypeIds()`
  The IDs of the domain types to search for.
  `String`
  `getTypePublicId()`
  The public ID of the domain type to search for.
  `int`
  `hashCode()`
  `boolean`
  `isExcludeMeta()`
  The exclude meta flag.
  `boolean`
  `isIncludeSubCommunities()`
  whether to include sub-communities.
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community to find the domains in.
  `void`
  `setExcludeMeta(boolean excludeMeta)`
  The exclude meta flag.
  `void`
  `setIncludeSubCommunities(boolean includeSubCommunities)`
  whether to include sub-communities.
  `void`
  `setName(String name)`
  The name of the domain to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the domain type to search for.
  `void`
  `setTypeIds(List<UUID> typeIds)`
  The IDs of the domain types to search for.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the domain type to search for.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDomainsRequest

    public FindDomainsRequest()

- ## Method Details

  - ### builder

    public static FindDomainsRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the domain to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### isExcludeMeta

    public boolean isExcludeMeta()
    The exclude meta flag. If this is set to true then the meta domains will not be returned (meta domains are i.e. domains not created manually by the user). Defaults to `true`.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community to find the domains in.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the domain type to search for. Returned domains are of this type. Ignored if `typeIds` is also provided.

  - ### getTypeIds

    public List<UUID> getTypeIds()
    The IDs of the domain types to search for. Returned domains are of these types. When provided, `typeId` is ignored.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the domain type to search for. Returned domains are of this type.

  - ### isIncludeSubCommunities

    public boolean isIncludeSubCommunities()
    whether to include sub-communities. When `true`, direct sub-communities of the community referenced by the `communityId` parameter are also included in the search. Sub-communities of those sub-communities are not included.

  - ### setName

    public void setName(String name)
    The name of the domain to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### setExcludeMeta

    public void setExcludeMeta(boolean excludeMeta)
    The exclude meta flag. If this is set to true then the meta domains will not be returned (meta domains are i.e. domains not created manually by the user). Defaults to `true`.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community to find the domains in.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the domain type to search for. Returned domains are of this type. Ignored if `typeIds` is also provided.

  - ### setTypeIds

    public void setTypeIds(List<UUID> typeIds)
    The IDs of the domain types to search for. Returned domains are of these types. When provided, `typeId` is ignored.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the domain type to search for. Returned domains are of this type.

  - ### setIncludeSubCommunities

    public void setIncludeSubCommunities(boolean includeSubCommunities)
    whether to include sub-communities. When `true`, direct sub-communities of the community referenced by the `communityId` parameter are also included in the search. Sub-communities of those sub-communities are not included.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`